Zum Inhalt springen

Delete source

DELETE
/api/sources/{sourceId}
curl --request DELETE \
--url https://firma.company-gpt.com/companygpt/rag/api/api/sources/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0 \
--header 'Authorization: Bearer <token>'

Deletes the source together with all files of this source. A delete job is queued for every file of the source (its index entries, embeddings and stored content are removed), then the source configuration is deleted. Requires write access to its collection (or, for orphaned sources, being the creator).

sourceId
required
string format: uuid

Source deleted

Invalid source ID

Unauthorized

Caller does not have permission to delete this source

Source not found

Server error